> ## Documentation Index
> Fetch the complete documentation index at: https://getbuildify.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get A Profile

> ⬇Fetch a profile by ID.



## OpenAPI

````yaml get /{apiVersion}/{apiProvince}/profile
openapi: 3.0.0
info:
  title: Buildify API
  version: '1.0'
servers:
  - url: https://api.getbuildify.com
security:
  - sec0: []
paths:
  /{apiVersion}/{apiProvince}/profile:
    get:
      summary: Get A Profile
      description: ⬇️ Fetch a profile by ID.
      operationId: get-a-profile
      parameters:
        - name: id
          in: query
          description: Profile ID to fetch.
          required: true
          schema:
            type: string
        - name: collection
          in: query
          description: >-
            Collection name of the profile to search from. **[See more
            info](https://buildify.readme.io/reference/collections)** .
          required: true
          schema:
            type: string
            enum:
              - ''
              - Architects
              - Builders
              - InteriorDesigners
              - Marketers
              - SalesCentres
              - SalesCompanies
        - name: referrences
          in: query
          description: >-
            Fields to attach referrences. For example: builders, marketers, etc.
            It should be comma separated. **[See more
            info](https://buildify.readme.io/reference/referrencing)**.
          schema:
            type: string
        - name: apiVersion
          in: path
          schema:
            type: string
            enum:
              - v1-sandbox
              - v1-lite
              - v1
          required: true
        - name: apiProvince
          in: path
          schema:
            type: string
            enum:
              - all
              - 'on'
              - bc
              - ab
              - mb
              - nb
              - nl
              - ns
              - pe
              - qc
              - sk
            default: 'on'
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "address": "317 Adelaide St W, Toronto, Ontario, M5V 1P9, Canada",
                      "listings": [
                        "Listings/Q2TAED"
                      ],
                      "logo": "https://storage.googleapis.com/precon-app.appspot.com/3d16b6f7-c5ce-428e-87bd-651cc09d6ecd.png",
                      "name": "Niche Development",
                      "website": "nichedevelopment.ca",
                      "path": "Builders/06K1RDAiqm543AVo72BE",
                      "sample": "saath.bas@gmail.com",
                      "id": "06K1RDAiqm543AVo72BE"
                    }
              schema:
                type: object
                properties:
                  address:
                    type: string
                    example: 317 Adelaide St W, Toronto, Ontario, M5V 1P9, Canada
                  listings:
                    type: array
                    items:
                      type: string
                      example: Listings/Q2TAED
                  logo:
                    type: string
                    example: >-
                      https://storage.googleapis.com/precon-app.appspot.com/3d16b6f7-c5ce-428e-87bd-651cc09d6ecd.png
                  name:
                    type: string
                    example: Niche Development
                  website:
                    type: string
                    example: nichedevelopment.ca
                  path:
                    type: string
                    example: Builders/06K1RDAiqm543AVo72BE
                  sample:
                    type: string
                    example: saath.bas@gmail.com
                  id:
                    type: string
                    example: 06K1RDAiqm543AVo72BE
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "error": "Id cannnot be blank"
                    }
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Id cannnot be blank
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "requestId": "1675936150799092284-YXdzLWFwLXNvdXRoLTE=-3e432f646b59475583534d68f6414209958dd1cbf33e493f9d6bc4eb418b96ca",
                        "message": "Forbidden"
                    }
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    example: >-
                      1675936150799092284-YXdzLWFwLXNvdXRoLTE=-3e432f646b59475583534d68f6414209958dd1cbf33e493f9d6bc4eb418b96ca
                  message:
                    type: string
                    example: Forbidden
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "requestId": "1675932987473164913-YXdzLXVzLWVhc3QtMQ==-8940c8c29e0c483cbc1dd0088d8be80242cd8bd4c6434ffebd9cd149766822b0",
                      "message": "No data product found. Please contact your data provider"
                    }
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    example: >-
                      1675932987473164913-YXdzLXVzLWVhc3QtMQ==-8940c8c29e0c483cbc1dd0088d8be80242cd8bd4c6434ffebd9cd149766822b0
                  message:
                    type: string
                    example: No data product found. Please contact your data provider
        '500':
          description: '500'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "message": "Error: 500"
                    }
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Error: 500'
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````